% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bra.r
\name{bra}
\alias{bra}
\title{Block rearrangement algorithm}
\usage{
bra(X, f = var, shuffle = T, maxiter = 1000, stalliter = ncol(X),
  abs.tol = 0, rel.tol = 0, f.target = -Inf)
}
\arguments{
\item{X}{numeric array or matrix}

\item{f}{function of the rowsums to be minimized}

\item{shuffle}{randomly permute each column of the matrix before rearrangement}

\item{maxiter}{number of maximum iterations}

\item{stalliter}{convergence if no improvement after stalliter iteration}

\item{abs.tol}{abs convergence crit}

\item{rel.tol}{relative convergence criterion}

\item{f.target}{value of the objective function at which absolute converge is reached}
}
\value{
list of rearranged matrix, rowsums (descending), iterations, current objective, iterations of objective, whether converged
}
\description{
Function which performs the block ra of Bernard and McLeish
}
\author{
Kris Boudt, \email{kris.boudt@vub.ac.be}

Edgars Jakobsons, \email{edgars.jakobsons@math.ethz.ch}

Steven Vanduffel, \email{steven.vanduffel@vub.ac.be}

Kristof Verbeken, \email{kristof.verbeken@vub.ac.be}
}
\references{
\url{http://papers.ssrn.com/sol3/papers.cfm?abstract_id=2634669}
}
\seealso{
The \code{\link{ra}} for the rearrangement algorithm
}

